"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AzureAD;

function AzureAD(options) {
  var _options$tenantId;

  const tenant = (_options$tenantId = options.tenantId) !== null && _options$tenantId !== void 0 ? _options$tenantId : "common";
  return {
    id: "azure-ad",
    name: "Azure Active Directory",
    type: "oauth",
    authorization: `https://login.microsoftonline.com/${tenant}/oauth2/v2.0/authorize?response_mode=query`,
    token: `https://login.microsoftonline.com/${tenant}/oauth2/v2.0/token`,
    userinfo: "https://graph.microsoft.com/v1.0/me/",

    profile(profile) {
      return {
        id: profile.id,
        name: profile.displayName,
        email: profile.userPrincipalName,
        image: null
      };
    },

    options
  };
}